This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1006431 - (CVE-2013-1442) CVE-2013-1442 kernel: xen: information leak on AVX and/or LWP capable CPUs
CVE-2013-1442 kernel: xen: information leak on AVX and/or LWP capable CPUs
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130924,repor...
: Security
Depends On: 1012056
Blocks: 1006302
  Show dependency treegraph
 
Reported: 2013-09-10 11:36 EDT by Petr Matousek
Modified: 2013-09-25 11:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:38:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-09-10 11:36:28 EDT
When a guest increases the set of extended state components for a vCPU saved/restored via XSAVE/XRSTOR (to date this can only be the upper halves of YMM registers, or AMD's LWP state) after already having touched other extended registers restored via XRSTOR (e.g. floating point or XMM ones) during its current scheduled CPU quantum, the hypervisor would make those registers accessible without discarding the values an earlier scheduled vCPU may have left in them.

A malicious domain may be able to leverage this to obtain sensitive information such as cryptographic keys from another domain.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2013-09-10 11:38:05 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as we did not have support for Xen hypervisor.
Comment 4 Vincent Danen 2013-09-25 11:40:35 EDT
External References:

http://xenbits.xen.org/xsa/advisory-62.html
Comment 5 Vincent Danen 2013-09-25 11:45:01 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1012056]

Note You need to log in before you can comment on or make changes to this bug.